UpdateBareMetal2ProvisionNetwork
UpdateBareMetal2ProvisionNetwork
PUT
/zstack/v1/baremetal2/provision-networks/{uuid}/actionsOperation ID
UpdateBareMetal2ProvisionNetworkSince
4.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe deployment network UUID.
Body Fields
nameStringOptional. The deployment network name.
descriptionStringOptional. The detailed description of the deployment network.
dhcpInterfaceStringOptional. The name of the DHCP NIC.
dhcpRangeStartIpStringOptional. The starting IP address that DHCP assigns to a bare metal instance.
dhcpRangeEndIpStringOptional. The ending IP address that DHCP assigns to a bare metal instance.
